Bug 647891 - request for the consumer name to be included in identity output
Summary: request for the consumer name to be included in identity output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-10-29 19:26 UTC by John Sefler
Modified: 2011-05-19 13:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:42:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-10-29 19:26:14 UTC
Description of problem:

Currently the output of subscription-manager-cli identity is:

# subscription-manager-cli identity
Current identity is 97dddd92-ef68-41d9-af91-dc21ce6bff6b

This is a request to also include the consumer name in the output of identity so as to be more informative and consistent with the output from subscription-manager-cli register.  Some suggestions:

Current identity is 97dddd92-ef68-41d9-af91-dc21ce6bff6b testuser

Current identity is 97dddd92-ef68-41d9-af91-dc21ce6bff6b registered by testuser

97dddd92-ef68-41d9-af91-dc21ce6bff6b testuser

consumer 97dddd92-ef68-41d9-af91-dc21ce6bff6b registered by testuser



Version-Release number of selected component (if applicable):
[root@jsefler-itclient01 product]# rpm -q subscription-manager
subscription-manager-0.92.6-1.el6.x86_64

Comment 1 Bryan Kearney 2010-11-05 19:56:58 UTC
fixed in bc47e310e7f5d2791908d2f4eb3034db5d5e729e

Comment 3 John Sefler 2010-11-19 17:57:37 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.1-1.git.82.283c328.fc12.i386

[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1 --password=password --name="Mr. testuser1"
945e8928-3bd1-43de-912b-ba54a0cc591d Mr. testuser1
[root@jsefler-onprem01 ~]# subscription-manager identity
Current identity is: 945e8928-3bd1-43de-912b-ba54a0cc591d name: Mr. testuser1

Name is now included in the identity result.
Moving to VERIFIED

Comment 4 errata-xmlrpc 2011-05-19 13:42:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.